Bug 91519 - Jump of document canvas view to the top of the comment disrupts editing of long comments
Summary: Jump of document canvas view to the top of the comment disrupts editing of lo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 106435 (view as bug list)
Depends on:
Blocks: Writer-Comments Writer-View-Jumps
  Show dependency treegraph
 
Reported: 2015-05-23 11:53 UTC by Edmund Laugasson
Modified: 2019-04-04 03:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
document created during strace as regular user (22.49 KB, application/vnd.oasis.opendocument.text)
2015-05-23 12:02 UTC, Edmund Laugasson
Details
strace log in Linux (53.85 KB, text/plain)
2015-05-23 12:02 UTC, Edmund Laugasson
Details
backtrace log in Linux (3.51 KB, text/x-log)
2015-05-23 12:06 UTC, Edmund Laugasson
Details
document created during backtrace as root (22.34 KB, application/vnd.oasis.opendocument.text)
2015-05-23 12:07 UTC, Edmund Laugasson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edmund Laugasson 2015-05-23 11:53:51 UTC
Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)


Writing long comments will scroll automatically the comment first row to screen and writing place at the end remains unvisible from screen.

Same situation - activating comment window to improve already written comment firstly will mark bunch of text because it tries to scroll long comment first row to screen and therefore will automatically mark a lot of text. It means that if the long comment was scrolled to the end and then tries to edit that comment - it means to write something to the end of long comment then it will automatically scroll the first row at the same time when activating comment editing and therefore will mark all text because mouse left cursor is pressed down and this means also text marking due to automatic scrolling.

Here is one exception - when inserting long comment in case there is one comment before (upwards) then there will be scroll bar until there will be finished first editing session. But when once click outside the comment and then again back to improve it - then this error starts again - first row will be scrolled to the screen and downside of comment goes out of the screen and is not viewable and thus hard to edit. Workaround is to write comment in some external text editor and just copy to the appropriate place, usually in the end of long comment.
Comment 1 Edmund Laugasson 2015-05-23 12:02:14 UTC
Created attachment 115887 [details]
document created during strace as regular user

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)
Comment 2 Edmund Laugasson 2015-05-23 12:02:36 UTC
Created attachment 115888 [details]
strace log in Linux

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)
Comment 3 Edmund Laugasson 2015-05-23 12:06:32 UTC
Created attachment 115890 [details]
backtrace log in Linux

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)
Comment 4 Edmund Laugasson 2015-05-23 12:07:03 UTC
Created attachment 115891 [details]
document created during backtrace as root

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)
Comment 5 Edmund Laugasson 2015-05-23 12:08:44 UTC
This bug exist also in LibreOffice 4.4.3.2 on the same platform (64-bit Linux Mint 17.1)
Comment 6 Edmund Laugasson 2015-05-23 12:20:04 UTC
Such long comments are needed when commenting academic thesises as supervisor, adviser etc. Then should not edit the text but add comment connected with appropriate place in text. Also workaround could be to put checkpoints into text like [1] (used also with some referring styles) but then there would be question - why then use commenting at all if there is not possible to express myself as much as needed?

The good thing is, that at least compatibility with comments already exist with MS Word - thanks to programmers and also UK government - http://www.itproportal.com/2015/03/30/microsoft-will-adopt-open-document-standards-following-government-battle/

I tried to import .odt into OneDrive (https://onedrive.live.com/) and all comments (also long ones) were imported very well.

I really hope that LibreOffice Online will offer similar ability to import ODF documents with comments and also long ones.
Comment 7 Buovjaga 2015-05-25 14:07:14 UTC
(In reply to Edmund Laugasson from comment #1)
> Created attachment 115887 [details]
> document created during strace as regular user

Yeah, when clicking inside the lower comment after opening the file, it autoscrolls and selects the block of text that is between the click position and scroll finish.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b9630867d17c01ec41f6461b1e96288f3932248c
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-25_00:45:41
Locale: fi-FI (fi_FI)
Comment 8 QA Administrators 2016-09-20 09:46:16 UTC Comment hidden (obsolete)
Comment 9 Edmund Laugasson 2016-09-20 10:47:57 UTC
Tested with LibreOffice 5.2.1, 64-bit on Linux Mint 18 (kernel 4.7.4).
Currently first row was not scrolled and text marked automatically in most times. It scrolls only when the comment box does not fit onto screen and then Writer focuses the comment box to screen.

Here would be the proposal to not try to fit the comment box to screen as there might be longer comment boxes and it would be quite disturbing when Writer tries to fit long comment box onto screen while it does not really fit as it is long box. If that could be also fixed then I guess current bug report could be counted as solved.
Comment 10 Buovjaga 2017-03-13 12:35:14 UTC
*** Bug 106435 has been marked as a duplicate of this bug. ***
Comment 11 QA Administrators 2018-03-27 02:28:39 UTC Comment hidden (obsolete)
Comment 12 Thomas Lendo 2018-04-03 14:04:12 UTC
Still reproducible in Version: 6.1.0.0.alpha0+ (x64)
Build ID: 8e0eb015e74775b9bf02326ffd7b67e83ad6c60d
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-03_03:53:38
Locale: de-AT (de_AT); Calc: CL
Comment 13 QA Administrators 2019-04-04 03:04:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug